from django.contrib import admin
from figurines.models import Figurine
from figurines.models import Set


class FigurineInline(admin.TabularInline):
    model = Figurine
    fields = ('name', 'kind', 'achievement', 'achievement_max', 'coins',
        'wish')
    extra = 2


class SetAdmin(admin.ModelAdmin):
    list_display = ('shortname', 'name')
    inlines = (FigurineInline, )


admin.site.register(Set, SetAdmin)
